Bug 25138 - Terminology: Point of sale should use library instead of branch
Summary: Terminology: Point of sale should use library instead of branch
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Keywords: additional_work_needed
Depends on:
Blocks:
 
Reported: 2020-04-13 21:03 UTC by Katrin Fischer
Modified: 2020-05-07 20:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
This fixes menu items and messages for the point of sale feature so that it uses 'library' instead of 'branch'.
Version(s) released in:
20.05.00


Attachments
Bug 25138: Terminology: Point of sale should use library instead of branch (2.75 KB, patch)
2020-04-13 21:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25138: (follow-up) Terminology: Point of sale should use library instead of branch (1.05 KB, patch)
2020-04-16 11:10 UTC, Devinim
Details | Diff | Splinter Review
Bug 25138: (follow-up) Terminology: Point of sale should use library instead of branch (1.10 KB, patch)
2020-04-16 11:17 UTC, Devinim
Details | Diff | Splinter Review
Bug 25138: Terminology: Point of sale should use library instead of branch (2.80 KB, patch)
2020-04-16 11:19 UTC, Devinim
Details | Diff | Splinter Review
Bug 25138: Terminology: Point of sale should use library instead of branch (2.84 KB, patch)
2020-04-17 10:20 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 25138: (follow-up) Terminology: Point of sale should use library instead of branch (1.20 KB, patch)
2020-04-17 10:20 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 25138: (follow-up) Point of sale should use library instead of branch (1.39 KB, patch)
2020-04-18 02:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-04-13 21:03:48 UTC
There are some branches scattered around that should be libraries.
Comment 1 Katrin Fischer 2020-04-13 21:25:45 UTC
Created attachment 102890 [details] [review]
Bug 25138: Terminology: Point of sale should use library instead of branch

This fixes the navigation on the Point of sale page:
Branch details => Library details

And the heading and the 'no register defined for this branch/library'
message on the page it links to.

To test:
- Activate cash registers and point of sales features
- Go to the point of sales page
- Verify text on the menu to the left
- Click on the Branch/library details - verify text and heading
Comment 2 David Nind 2020-04-16 11:10:14 UTC
If you don't have a cash register set up (or you have archived the cash register for the library) and click on either:
- 'Point of sale' from the main staff interface page (/cgi-bin/koha/pos/pay.pl) or 
- the 'Register details' page (/cgi-bin/koha/pos/register.pl) the message text has branch instead of libary:

"You must have at least one cash register associated with this branch before you can record payments."

Apart from that, everything else works as expected.
Comment 3 Devinim 2020-04-16 11:10:46 UTC
Created attachment 103070 [details] [review]
Bug 25138: (follow-up) Terminology: Point of sale should use library instead of branch

It has also been applied to the Register details page.
Comment 4 Devinim 2020-04-16 11:17:04 UTC
Created attachment 103076 [details] [review]
Bug 25138: (follow-up) Terminology: Point of sale should use library instead of branch

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 5 Devinim 2020-04-16 11:19:21 UTC
Created attachment 103077 [details] [review]
Bug 25138: Terminology: Point of sale should use library instead of branch

This fixes the navigation on the Point of sale page:
Branch details => Library details

And the heading and the 'no register defined for this branch/library'
message on the page it links to.

To test:
- Activate cash registers and point of sales features
- Go to the point of sales page
- Verify text on the menu to the left
- Click on the Branch/library details - verify text and heading

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 6 Katrin Fischer 2020-04-16 11:20:04 UTC
Nice catch - thx!
Comment 7 David Nind 2020-04-16 11:21:26 UTC
Ignore half of comment 2 - was posted just before the follow-up patch was made and signed off!

However, text change still required for /cgi-bin/koha/pos/pay.pl
Comment 8 Marcel de Rooy 2020-04-17 10:20:20 UTC
Created attachment 103138 [details] [review]
Bug 25138: Terminology: Point of sale should use library instead of branch

This fixes the navigation on the Point of sale page:
Branch details => Library details

And the heading and the 'no register defined for this branch/library'
message on the page it links to.

To test:
- Activate cash registers and point of sales features
- Go to the point of sales page
- Verify text on the menu to the left
- Click on the Branch/library details - verify text and heading

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 9 Marcel de Rooy 2020-04-17 10:20:24 UTC
Created attachment 103139 [details] [review]
Bug 25138: (follow-up) Terminology: Point of sale should use library instead of branch

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 10 Martin Renvoize 2020-04-17 12:51:42 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Katrin Fischer 2020-04-18 02:53:25 UTC
Created attachment 103194 [details] [review]
Bug 25138: (follow-up) Point of sale should use library instead of branch

Fixes a misssed occurence on the pay.tt page.

To test:
- Don't have a cash register set up (or you have archived
the cash register for the library)
- Go to 'Point of sale' from the main staff interface page
- Verify library/branch in the note shown:

You must have at least one cash register associated with
this library before you can record payments.

https://bugs.koha-community.org/show_bug.cgi?id=24138
Comment 12 Katrin Fischer 2020-04-18 02:53:36 UTC
Sneaking in a follow-up here for the one word change on pay.tt
Comment 13 David Nind 2020-04-18 20:40:02 UTC
(In reply to Katrin Fischer from comment #12)
> Sneaking in a follow-up here for the one word change on pay.tt

Thanks Katrin!
Comment 14 Joy Nelson 2020-05-07 20:57:48 UTC
not backported to 19.11.x